TransferToken

Transfer a payment token from one card to another

Request Path Parameters

ParametertypeLimitsrequiredDescription
terminalIDString10 characters✓The Paymentology issued terminal ID of the terminal requesting the transaction
profileNumberString1-20 characters✓Profile number linked with this card
tokenUniqueReferenceString1-10 characters✓The unique reference of the token
oldCardIdentifierString1-10 characters✓Card number or tracking number of the card to transfer the token from
newCardIdentifierString1-10 characters✓Card number or tracking number of the card to transfer the token to
transactionIDString1-255 characters✓Transaction ID number generated by the calling client
transactionDateDate✓Transaction date generated by the calling client
checksumString✓HMAC-SHA1 or HMAC-SHA256 hashed signature of the concatenated method name with all argument values using the terminal password as private key
<?xml version="1.0"?>
<methodCall>
  <methodName>TransferToken</methodName>
  <params>
    <param>
      <value>
        <string>0020787431</string>
      </value>
    </param>
    <param>
      <value>
        <string>Cyp001</string>
      </value>
    </param>
    <param>
      <value>
        <string>DWSPMC00000000010906a349d9ca4eb1a4d53e3c90a11d9c</string>
      </value>
    </param>
    <param>
      <value>
        <string>156554700000004</string>
      </value>
    </param>
    <param>
      <value>
        <string>156554700000005</string>
      </value>
    </param>
    <param>
      <value>
        <string>fb8344c9-2fc9-467b-87e4-55eaf88d06f1</string>
      </value>
    </param>
    <param>
      <value>
        <dateTime.iso8601>20200101T09:00:00</dateTime.iso8601>
      </value>
    </param>
    <param>
      <value>
        <string>FC600F94C3C800377B5E93D518DDA1D1B56E88D0</string>
      </value>
    </param>
  </params>
</methodCall>

Response Parameters

ParametertypeDescription
resultCodeIntegerStatus code indicating transaction result
resultTextStringText indicating transaction result
<?xml version="1.0" encoding="UTF-8"?>
<methodResponse>
  <params>
    <param>
      <value>
        <struct>
          <member>
            <name>resultCode</name>
            <value>
              <int>1</int>
            </value>
          </member>
          <member>
            <name>resultText</name>
            <value>
              <string>OK</string>
            </value>
          </member>
        </struct>
      </value>
    </param>
  </params>
</methodResponse>

Response Codes

CodeDescription
1Ok
-10Custom error message (see ResultText field for description)
-395card not linked to profile
-396Profile not linked to terminal
-398Card is not allocated

Error Objects

Error Fault for invalid checksum authentication returns the following message:

<?xml version="1.0" encoding="UTF-8"?>
<methodResponse>
  <fault>
    <value>
      <struct>
        <member>
          <name>faultCode</name>
          <value>
            <int>-8</int>
          </value>
        </member>
        <member>
          <name>faultString</name>
          <value>
            <string>Authentication failed</string>
          </value>
        </member>
      </struct>
    </value>
  </fault>
</methodResponse>